1. dman2009's Avatar
    True but it has Google Maps dependencies in it. You can get the basic functionality by patching without the maps fix though. I'm just trying to get full functionality.
    Okay, here's an update on Garmin Connect. With the new Patcher and a custom Google Maps API, it failed to rebuild. So, I tried it again and unchecked the option to replace Open Maps with Google Maps V1. I allowed the patcher to remove the Google Maps V2 and the Google Play Services dependencies. My thinking was that I have other apps that use a mix of Open Street Maps and Google Maps and I never had an issue leaving Open Street Maps alone. Well, guess what? It worked! The app successfully rebuilt (took a long time). It froze during the first start-up after logging in. Since then, it now works perfectly and super fast.

    So, the lesson here is that you may have to try changing some settings where needed.
    Lusitano17, Cobalt232 and Furell like this.
    04-14-16 06:36 PM
  2. Nishant Machhar's Avatar
    Hello Cobalt,

    I just got the passport (a week back and love it). Facing the same issue. The google account wont let me in.

    I have tried web log it, have tried it on wifi and mobile network, with location off & on, the two step verification on my account is off.

    Still it wont let me in, can you please help, thanks.

    Cheers.
    04-15-16 01:17 AM
  3. Nishant Machhar's Avatar
    okay . .. managed to install the play store . .Cobalt's official Google Apps landing page-wp_20160415_14_48_49_pro.jpg

    uninstalled all apps, google account from BB account manager . .. re installed everything as per Cobalt's instructions . .. works well now.
    04-15-16 07:41 AM
  4. Thrace Ist's Avatar
    I looked into that app. The patcher doesn't find a dependency because there is no dependency to Google Maps Android API.

    But there is a dependency to Google Maps Geolocation API, which seems to be a different kind of API:
    https://developers.google.com/maps/d...on/intro?hl=en

    I modified the patcher to additionally support custom Google Maps Geolocation API keys:

    Play Services Patcher 1.5 beta 2:
    http://homepage.bluewin.ch/simonsmit...-1.5-beta2.exe

    Did not test though, maybe someone can take the task.
    For Bitaksi, I generated Google Maps Geolocation API keys and still no maps yet.
    Any other update or dependencey for that application ? I became very helpless on this.
    04-15-16 08:10 AM
  5. Vikas Jain's Avatar
    when i'm trying to run this patcher , it is saying '/lib is missing '? any solution?
    04-15-16 12:36 PM
  6. Smokeaire's Avatar
    when i'm trying to run this patcher , it is saying '/lib is missing '? any solution?
    If it is on your computer and you have another version just move the file into the existing Patcher folder where the lib file is, as Cobalt instructed.
    04-15-16 12:40 PM
  7. dman2009's Avatar
    For Bitaksi, I generated Google Maps Geolocation API keys and still no maps yet.
    Any other update or dependencey for that application ? I became very helpless on this.
    I believe this is the file that you are trying to patch:

    https://ln.sync.com/dl/777a7a370#r9b...qjp9y-3pk6j2ys

    I ran it through the Patcher with both Google Maps and Geolocation keys. The Patch found Geolocation and Google Play Services dependencies. It shows that it patched both. When running the app, I see this:

    Cobalt's official Google Apps landing page-img_20160415_094639.png

    This appears to be a new issue. Maybe there's another API in there?
    04-15-16 01:05 PM
  8. dman2009's Avatar
    If it is on your computer and you have another version just move the file into the existing Patcher folder where the lib file is, as Cobalt instructed.
    This is correct. The patcher executable file must be place in the folder with the old V1.4 executable file. This will allow it to access the files in the /lib folder.
    04-15-16 01:08 PM
  9. Thrace Ist's Avatar
    I believe this is the file that you are trying to patch:

    https://ln.sync.com/dl/777a7a370#r9b...qjp9y-3pk6j2ys

    I ran it through the Patcher with both Google Maps and Geolocation keys. The Patch found Geolocation and Google Play Services dependencies. It shows that it patched both. When running the app, I see this:

    Click image for larger version. 

Name:	IMG_20160415_094639.png 
Views:	1405 
Size:	168.6 KB 
ID:	397188

    This appears to be a new issue. Maybe there's another API in there?
    This is exactly what i have.
    I even tried Cobalt's combinations.
    ANDROID API + GEOLOCATION API in Cobalts New Patcher
    Only ANDROID API
    Only GEOLOCATION API

    The app is pathed with no problem but no maps still.
    04-15-16 01:08 PM
  10. Cobalt232's Avatar
    This is exactly what i have.
    I even tried Cobalt's combinations.
    ANDROID API + GEOLOCATION API in Cobalts New Patcher
    Only ANDROID API
    Only GEOLOCATION API

    The app is pathed with no problem but no maps still.
    I looked into your app. It uses the Yandex map and logs report that the app can't connect to the Yandex server.
    04-15-16 01:22 PM
  11. Thrace Ist's Avatar
    It used to work properly before the update which realised on the 5th of April.
    I patcehed Yandex Map as well , with your tools, but no result.

    I saw the updated original version in the Google Play Store works perfectly as this is a very popular application here. Does it mean that the unpatched is able to connect to Yandex ?_ anything else i should try ?
    Last edited by Thrace Ist; 04-15-16 at 02:21 PM.
    04-15-16 02:05 PM
  12. Vikas Jain's Avatar
    Hi , I tried patching OLA cab and uber cab with new patcher. Uber is working fine,I could see map in uber app. However, no luck with ola, no maps.
    04-15-16 02:38 PM
  13. Vikas Jain's Avatar
    do i need to create separate key for ANDROID API & GEOLOCATION API
    04-15-16 02:40 PM
  14. Thrace Ist's Avatar
    do i need to create separate key for ANDROID API & GEOLOCATION API
    As far as i understand, if the application you're trying to patch requires Google Maps Android Api, then you should create that key, if the latter is required, you need a geolocation api. But you should make sure that any of these are really needed.
    04-15-16 03:06 PM
  15. Cobalt232's Avatar
    Caution: the patcher only detects android API or geolocation API usage if the keys have been entered. If no key is provided, the patcher will NOT suggest the patch!
    04-15-16 04:19 PM
  16. Thrace Ist's Avatar
    Caution: the patcher only detects android API or geolocation API usage if the keys have been entered. If no key is provided, the patcher will NOT suggest the patch!
    Very important point and noted. Thank you Cobalt, but we would not know that the application needed GEOLOCATION API if you would have not warned us.

    And for the application unable to connect the Yandex Server, any fix or idea on that ?
    04-15-16 04:39 PM
  17. semime's Avatar
    do i need to create separate key for ANDROID API & GEOLOCATION API
    The Android API and Geolocation key will be identical. But you must ensure both APIs are enabled in the developers console.
    04-15-16 09:13 PM
  18. hkgnyc's Avatar
    PUBLIC BETA

    Here is a new version of Play Services Patcher that allows to use a custom Google Maps Android API key to display maps content in patched apps.
    http://homepage.bluewin.ch/simonsmit...atcher-1.5.exe

    Setup:
    1. Remove existing Google Play Services from your device (IMPORTANT)
    1. Download and install new Google Play Services 8.4.89-cobalt-Build5 from the first post
    2. Download Play Services Patcher and copy the EXE file into your existing Play Services Patcher folder (on your PC!)

    Usage:
    1. Go to Google Developer Console and create a Google Maps Android API key. Do not associate it with a signature hash
    2. Run Play Services Patcher and enter the API Key in the Maps Dialog
    3. Check the option 'decompile resources' in Play Services Patcher
    4. Patch!

    Report any problems here.

    Say thanks to Dman2009, who motivated me with a nice donation to provide this fix!
    Thank you Cobalt for your great work in making map integration work again and thank you Dman2009 for the donation. I've just made a donation as well as a token of appreciation. I primarily need the map integration for Uber-like car apps such as Lyft and Gett. For Lyft, one of the issues after patching is that one can no longer enter street addresses directly to specify the car pick-up & destination locations. Given the discussions on the geolocation API, I was wondering if the issue for Lyft is due to the Google Maps Geocoding API or Google Places API? If so, any chance to include these APIs in the patcher to complete the map integration experience?
    04-15-16 10:23 PM
  19. Vikas Jain's Avatar
    did anybody try OLA APP? Maps are not working in OLA App with new patcher n all.
    04-15-16 11:46 PM
  20. Alfisti2016's Avatar
    Anybody know why my installed apps don't show up anymore?
    Was working fine until I got the sign in error. Took the advice and used the recommended 4.4.4 version and even though I gone back and forth between this and the latest this is all I get.


    Cobalt's official Google Apps landing page-img_20160416_074733.png

    Posted via CB10
    04-16-16 02:50 AM
  21. Cobalt232's Avatar
    Clear play store cache.
    04-16-16 04:30 AM
  22. Cobalt232's Avatar
    Thank you Cobalt for your great work in making map integration work again and thank you Dman2009 for the donation. I've just made a donation as well as a token of appreciation. I primarily need the map integration for Uber-like car apps such as Lyft and Gett. For Lyft, one of the issues after patching is that one can no longer enter street addresses directly to specify the car pick-up & destination locations. Given the discussions on the geolocation API, I was wondering if the issue for Lyft is due to the Google Maps Geocoding API or Google Places API? If so, any chance to include these APIs in the patcher to complete the map integration experience?
    Basically l can inject any key to Manifest. I'll look into lyft to see what keys are required.
    hkgnyc, cbosdell and Furell like this.
    04-16-16 04:32 AM
  23. Alfisti2016's Avatar
    Clear play store cache.
    Thanks, tried that, it didn't make any difference.
    04-16-16 05:00 AM
  24. Vikas Jain's Avatar
    Has anyone tried to patch facebook app? it doesn't work. any idea?
    04-16-16 05:50 AM
  25. DreadPirateRegan's Avatar
    The part where he says don't use your name for creating the API i'd listen to him especially if plan on sharing. I believe that one of the reasons for this. Don't wanna get a phone call by the men in black now, do we! Thanks cobalt....

    Posted via CB10
    04-16-16 06:28 AM
9,365 ... 231232233234235 ...

Similar Threads

  1. Which android app you want to run on your BlackBerry
    By amritanshu singh in forum General BlackBerry Discussion
    Replies: 115
    Last Post: 02-23-18, 04:07 PM
  2. Will the amazon app store kill the blackberry world app store?
    By Allgoodnicknamesaretaken in forum BlackBerry Passport
    Replies: 26
    Last Post: 01-28-15, 12:23 PM
  3. Getting the PayPal app for my new Passport?
    By JVRudnick in forum BlackBerry Passport
    Replies: 22
    Last Post: 12-22-14, 11:29 PM
  4. Facebook & Crackberry Apps on Passport
    By UKAsh in forum CrackBerry Apps
    Replies: 5
    Last Post: 11-05-14, 11:43 PM
  5. BB Link type App for iphone 6 - ipad ??
    By Chopper110 in forum BlackBerry Z10
    Replies: 7
    Last Post: 10-06-14, 05:01 AM
LINK TO POST COPIED TO CLIPBOARD